local NUM_SOUNDFILES = 7
local isEnabled = true;

-- nice
local function Nice()
  PlaySoundFile("Interface\\AddOns\\Nice\\Sounds\\nice" .. math.random(NUM_SOUNDFILES) .. ".ogg", "SFX")

  -- nice message to chat
  if(IsInRaid()) then
    SendChatMessage("nice", "RAID")
  elseif(IsInGroup()) then
    SendChatMessage("nice", "PARTY")
  else return end
end

-- handling of the slash command
local function CommandHandler(cmdOptions)
  if(string.len(cmdOptions) == 0) then
    -- /nice
    Nice()
  elseif(cmdOptions == "enable" or cmdOptions == "start" or cmdOptions == "on") then
    -- /nice enable|start|on
    isEnabled = true
    print("Nice enabled!")
  elseif(cmdOptions == "disable" or cmdOptions == "stop" or cmdOptions == "off") then
    -- /nice disable|stop|off
    isEnabled = false
    print("Nice disabled!")
  elseif(cmdOptions == "help") then
    -- /nice help
    print("Usage: /nice [on|off]")
  end
end

-- handling of the registered events
function EventHandler(self, event, ...)
  -- only handle events if enabled
  if(not isEnabled) then return end

  -- parse event message
  local player, roll, item
  if(event == "CHAT_MSG_LOOT") then
    -- "Need|Greed Roll - 'roll' for 'item' by 'player'"
    _, _, roll, item, player = string.find(..., "(%d+) for (.+) by (%a+)");
  elseif(event == "CHAT_MSG_SYSTEM") then
    -- "'player' rolls 'roll'"
    _, _, player, roll = string.find(..., "(%a+) rolls (%d+)");
  else return end

  if (roll == "69") then Nice() end
end

-- addon frame
local frame = CreateFrame("Frame")
frame:RegisterEvent("CHAT_MSG_LOOT")
frame:RegisterEvent("CHAT_MSG_SYSTEM")
frame:SetScript("OnEvent", EventHandler)

-- slash command
SLASH_NICE1 = "/nice"
SlashCmdList["NICE"] = CommandHandler;







-- nice
